package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag796;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT796Creator;

public class Tag77ACreator extends AbsTagCreate {
    private MT796Creator mt796Creator;

    public Tag77ACreator(AbsMTCreator absMTCreator) {
        super(absMTCreator);
        mt796Creator = (MT796Creator) absMTCreator;
    }

    @Override
    public void creator() {
        String tag77AValue = mt796Creator.getNarrative();
        mt796Creator.set("77A", tag77AValue);
    }
}
